import React from 'react';
import { Spin, Button, Tabs, Table, message } from 'antd';
import ajax from 'jquery/src/ajax/xhr.js'
import $ from 'jquery/src/ajax';

import '../content.less';
import './content.less';
import LeftTab from './leftTab.jsx';


const TabPane = Tabs.TabPane;

const MessageModal = React.createClass({
    getInitialState() {
        return {
            visible: false,
            loading: false,
            pagination: {
                defaultCurrent: 1,
                defaultPageSize: 10,
                showQuickJumper: true,
                pageSize: 10,
                onChange: function (page) {
                    this.loadReaded(page);
                }.bind(this),
                showTotal: function (total) {
                    return '共' + total + '条数据';
                }
            },
            UnreadPagination: {
                defaultCurrent: 1,
                defaultPageSize: 10,
                showQuickJumper: true,
                pageSize: 10,
                onChange: function (page) {
                    this.loadUnread(page);
                }.bind(this),
                showTotal: function (total) {
                    return '共' + total + '条数据';
                }
            },
            columns: [
                {
                    title: '编号',
                    dataIndex: 'key',
                    key: 'key'
                }, {
                    title: '类型',
                    dataIndex: 'noticeType',
                    key: 'noticeType',
                    render: (text, record) => {
//                      return <div>{
//                   		text<8?<a href='#' onClick={(e) =>{ e.stopPropagation(),this.setStore(record)}}> {record.noticeTypeName} </a >:
//                      <span>{record.noticeTypeName}</span>
//                          }</div>
						//return <a href='#' onClick={(e) =>{ e.stopPropagation(),this.setStore(record)}}> {record.noticeTypeName} </a >
                       return(<span>{record.noticeTypeName}</span>)  
                    }
                }, {
                    title: '时间',
                    dataIndex: 'createTimeFormattedDate',
                    key: 'createTimeFormattedDate'
                }, {
                    title: '内容',
                    dataIndex: 'content',
                    key: 'content',
                }, {
                    title: '公司',
                    dataIndex: 'unitName',
                    key: 'unitName',
                }, {
                    title: '业务员',
                    dataIndex: 'principle',
                    key: 'principle',
                }
            ],
            data: []
        };
    },
    //主菜单请求
    mainMenu(){
    	this.setState({
    		loading:true
    	});
    	$.ajax({
    		method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + "/api/admin/selectNavList",
            data: {
            	
            },
            success:function(data){
            	if (!data.data) {
	                if (data.error && data.error.length) {
	                    message.warning(data.error[0].message);
	                    return;
	                };
	            };
	           this.setState({
	           		menu:data.data
	           });
            }.bind(this),
    	}).always(function(data){
    		this.setState({
    			loading:false
    		})
    	}.bind(this))
    },
    finId(text){
    	var data=this.state.menu||[];
    	var rid='';
	  	switch(text) {
			case 1:
				data.map(function(nub, index) {
					if(nub.url.indexOf('demand') != -1) {
						rid = nub.id;
					}
				});
				break;
			case 2:
				data.map(function(nub, index) {
					if(nub.url.indexOf('demand') != -1) {
						rid = nub.id;
					}
				});
				break;
			case 3:
				data.map(function(nub, index) {
					if(nub.url.indexOf('achievement') != -1) {
						rid = nub.id;
					}
				});
				break;
			case 4:
				data.map(function(nub, index) {
					if(nub.url.indexOf('achievement') != -1) {
						rid = nub.id;
					}
				});
				break;
			case 5:
				data.map(function(nub, index) {
					if(nub.url.indexOf('order') != -1) {
						rid = nub.id;
					}
				});
				break;
			case 6:
				data.map(function(nub, index) {
					if(nub.url.indexOf('order') != -1) {
						rid = nub.id;
					}
				});
				break;
			case 7:
				data.map(function(nub, index) {
					if(nub.url.indexOf('servicesManage') != -1) {
						rid = nub.id;
					}
				});	
				break;
			default:
				rid='';
		}
    	return rid;
    },
    //跳转详情
    setStore(record){
    	localStorage.setItem('newData',{});
    	let ids = record.noticeType;
    	console.log(record);
    	ids=7;
    	let rid = this.finId(ids) || "";
    	var urls='',
    	    dataJson={};
    	switch (ids) {
            case 1:
                urls = "/admin/demand.html?rid=" + rid +"#techDemandAudit";
                dataJson = {
                	"id":record.uid,
                	//"id":"3f93588b-332e-4353-bbfd-f1451b4b390c",
                	"dataCategory":"0"
                };
                break;
            case 2:
                urls = "/admin/demand.html?rid=" + rid+ "#techDemandPublish";
                dataJson = {
                	"id":record.uid,
                	//"id":"40f77e32-29fa-4a85-a6f0-7c4986bdc5e3",
                	"dataCategory":'1'
                };
                break ;
            case 3:
                urls =  "/admin/achievement.html?rid=" + rid +"#techAchievementAudit";
           		dataJson = {
           			"id":record.uid,
           			//"id":"f09d5c08-4a8b-48a6-9753-86006f1a53cb",
           			"ownerType":'1'
           		};
           		break ;
            case 4:
                urls = "/admin/achievement.html?rid=" + rid + "#techAchievementPublish";
                dataJson = {
           			"id":record.uid,
           			//"id":"953c9ef7-6cf6-4ab7-af89-c01521998fed",
                	"ownerType":'1'
           		};
           		break ;
            case 5:
                urls = "/admin/order.html?rid=" + rid + "#myService";
            	dataJson = {
            		"orderNo":record.orderNo
           			//"orderNo":"175557414077480960"
           		};
           		break ;
            case 6:
                urls = "/admin/order.html?rid=" + rid + "#mySettlement";
            	dataJson = {
           			"orderNo":record.orderNo
           			//"orderNo":"180714111314051072"
           		};
           		break ;
            case 7:
                urls = "/admin/servicesManage/projectOrder.html?rid=" + rid + "#projectManage";
           		dataJson = {
           			//"id":record.id,
           			"id":"69e2d8ca984240a4b9c90daac69fe5e3",
           			"buyerType":"1"
           		};
           		break ;
           	default :
           	    urls:'#';
           	    dataJson = {};
          };
          console.log(rid);
          if(rid){
	    	  var data = dataJson;
	    	  var newData = JSON.stringify(data);
	    	  localStorage.setItem('newData',newData);
	    	  window.location.href = globalConfig.context +urls;
          }
    },
    loadReaded(pageNo) {
        this.state.data = [];
        this.setState({
            loading: true
        });
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + "/api/admin/notice/readed",
            data: {
                pageNo: pageNo || 1,
                pageSize: this.state.pagination.pageSize,
            }
        }).done((data) => {
            if (!data.data) {
                if (data.error && data.error.length) {
                    message.warning(data.error[0].message);
                    return;
                };
            };
            this.state.data = [];
            for (let i = 0; i < data.data.list.length; i++) {
                let thisdata = data.data.list[i];
                this.state.data.push({
                    key: i + 1,
                    id: thisdata.id,
                    rid: thisdata.rid,
                    uid: thisdata.uid,
                    aid: thisdata.aid,
                    noticeType: thisdata.noticeType,
                    year: thisdata.year,
                    noticeTypeName: thisdata.noticeTypeName,
                    content: thisdata.content,
                    createTime: thisdata.createTime,
                    createTimeFormattedDate: thisdata.createTimeFormattedDate,
                    principle: thisdata.principle,
                    unitName: thisdata.unitName
                });
            };
            this.state.pagination.current = data.data.pageNo;
            this.state.pagination.total = data.data.totalCount;
            this.setState({
                dataSource: this.state.data,
                pagination: this.state.pagination
            });
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
    },
    loadUnread(pageNo) {
        this.state.data = [];
        this.setState({
            loading: true
        });
        $.ajax({
            method: "get",
            dataType: "json",
            crossDomain: false,
            url: globalConfig.context + "/api/admin/notice/unread",
            data: {
                pageNo: pageNo || 1,
                pageSize: this.state.UnreadPagination.pageSize,
            }
        }).done((data) => {
            if (!data.data) {
                if (data.error && data.error.length) {
                    message.warning(data.error[0].message);
                    return;
                };
            };
            this.state.data = [];
            for (let i = 0; i < data.data.list.length; i++) {
                let thisdata = data.data.list[i];
                this.state.data.push({
                    key: i + 1,
                    id: thisdata.id,
                    rid: thisdata.rid,
                    uid: thisdata.uid,
                    aid: thisdata.aid,
                    noticeType: thisdata.noticeType,
                    year: thisdata.year,
                    noticeTypeName: thisdata.noticeTypeName,
                    content: thisdata.content,
                    createTime: thisdata.createTime,
                    createTimeFormattedDate: thisdata.createTimeFormattedDate,
                    principle: thisdata.principle,
                    unitName: thisdata.unitName
                });
            };
            this.state.UnreadPagination.current = data.data.pageNo;
            this.state.UnreadPagination.total = data.data.totalCount;
            this.setState({
                unreadData: this.state.data,
                UnreadPagination: this.state.UnreadPagination
            });
        }).always(function () {
            this.setState({
                loading: false
            });
        }.bind(this));
    },
    componentWillMount() {
        this.loadReaded();
        this.loadUnread();
        this.mainMenu();
    },
    render() {
        return (
            <div className="set-content">
                <div className="set-title">
                    <span>管理员中心</span>
                </div>
                <Spin spinning={this.state.loading} className='spin-box'>
                    <Tabs defaultActiveKey="1">
                        <Tabs.TabPane tab="新信息" key="1">
                            <Table columns={this.state.columns}
                                dataSource={this.state.unreadData}
                                pagination={this.state.UnreadPagination} />
                        </Tabs.TabPane>
                        <Tabs.TabPane tab="已读信息" key="2">
                            <Table columns={this.state.columns}
                                dataSource={this.state.dataSource}
                                pagination={this.state.pagination} />
                        </Tabs.TabPane>
                    </Tabs>
                </Spin>
            </div>
        );
    }
});

const Content = React.createClass({
    getInitialState() {
        return {
            loading: false
        };
    },
    render() {
        return (
            <div className="manage-content">
                <LeftTab handlekey={this.handlekey} />
                <div className="content-right">
                    <Spin spinning={this.state.loading} className='spin-box'>
                        <div className="index-content">
                            <MessageModal />
                        </div>
                    </Spin>
                </div>
            </div>
        )
    }
});

export default Content;

// <div className="index-content">
//                             <div className="index-userdata clearfix">
//                                 <p className="acc-title">{this.state.number}</p>
//                                 <div className="userdata-img">
//                                     <img src={globalConfig.staticHost + "/upload" + this.state.personPortraitUrl} alt="" />
//                                 </div>
//                                 <div className="userdata-content">
//                                     {(() => {
//                                         switch (userData.lvl || this.state.userlvl) {
//                                             case '0':
//                                                 return <p className="userdata-lvl">等级：<span>LV1</span> 普通用户</p>;
//                                             case '1':
//                                                 return <p className="userdata-lvl">等级：<span>LV2</span> 已认证用户</p>;
//                                         };
//                                     })()}
//                                     <p>完善资料 {this.state.per}% ，<a href="./set.html">继续完善</a>，有助于提高您的资信</p>
//                                     <p className="userdata-relate" style={{ 'display': 'none' }}>
//                                         <Button className="relateqq"><img src={qq} alt="" /> QQ账号登录</Button>
//                                         <Button className="relateweibo"><img src={weibo} alt="" />微博账号登录</Button>
//                                         <Button className="relateweixin"><img src={weixin} alt="" />微信账号登录</Button>
//                                     </p>
//                                     <div className="userdata-follow">已有<a href="">{this.state.follow}</a>人关注你</div>
//                                 </div>
//                             </div>
//                             <div className="index-record">
//                                 <p className="acc-title">我的轨迹</p>
//                                 <ul className="record-list clearfix">
//                                     <li>技术成果：<a href="">{this.state.chengguo}</a>项</li>
//                                     <li>技术开发：<a href="">{this.state.kaifa}</a>项</li>
//                                     <li>科技服务：<a href="">{this.state.fuwu}</a>项</li>
//                                     <li>发布需求：<a href="">{this.state.xuqiu}</a>项</li>
//                                 </ul>
//                             </div>
//                             <div className="index-activity">
//                                 <Tabs defaultActiveKey="1" onChange={this.tabChange}>
//                                     <TabPane tab="活动" key="1">
//                                         <p className="acc-title">即将举办的活动</p>
//                                         <ul className="activity-list">
//                                             {
//                                                 this.state.activityArr.map(function (item, i) {
//                                                     return <li key={i}>
//                                                         <span className="list-type">[{item.type}]</span>
//                                                         <span className="list-title">{item.title}</span>
//                                                         <a href={item.link}>报名</a>
//                                                         <span className="list-time">{item.time}</span>
//                                                     </li>;
//                                                 })
//                                             }
//                                         </ul>
//                                     </TabPane>
//                                     <TabPane tab="其他" key="2">Content of Tab Pane 2</TabPane>
//                                 </Tabs>
//                             </div>
//                         </div>